/* test_libchaines.c */
/* L3 Info -- 2007/08 -- Stage C */


#include <stdio.h>
#include <stdlib.h>

#include "libchaine.h"
#include "diagnostics.h"

void demo(char * chaine)
{
  printf("La longueur de %s est %d \n", chaine, longueur(chaine));
  printf("Son miroir est %s\n", miroir(chaine));
}


int main(int argc, char* argv[])
{
  char * chaine; 
  
  if ( argc == 1 )
    return EXIT_FAILURE;

  /* chaine = "mot" */
  chaine = newChaine(3);
  chaine[0]='m';
  chaine[1]='o';
  chaine[2]='t';
  chaine[3]='\0'; /* Inutile car calloc */
  printf("chaine=%s\n",chaine);
  free(chaine);
  
  chaine = argv[1];
  demo(chaine);

  printf("Entrez une (petite) phrase :\n");
  chaine = lire_chaine_au_clavier();
  demo(chaine);

  printf("Entrez une (très longue) phrase :\n");
  chaine = saisie();
  demo(chaine);   

  return EXIT_SUCCESS;
}

